---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1MenuBarRenderer.html">MenuBarRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::MenuBarRenderer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a56ca1dbe2b98a17206cdde9e791f389e">getProperty</a>(std::string property) const  override</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#ae7791b0b69162f7217ac2369b2191dcd">getPropertyValuePairs</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a06bcc7d2a9b0d06b139617970cb05c96">MenuBarRenderer</a>(MenuBar *menuBar)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a20374f6d458a0d832475504e20b44ce0">setBackgroundColor</a>(const Color &amp;backgroundColor)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#acd4c106db13f94a3db504040d279640c">setBackgroundTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#ae4beffb92e49abe95520b3a0ab09484a">setBorderColor</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a4860467e0ab918217d6f7c45a53825c5">setDistanceToSide</a>(float distanceToSide)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a8a24a6ad141e1d9cc892fc4fcef72191">setItemBackgroundTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a5652ad07cdd73c2b6641a73615bebcdc">setProperty</a>(std::string property, const std::string &amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a8eb1632869a17e50c46357239771d64f">setProperty</a>(std::string property, ObjectConverter &amp;&amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a9ce1c1a4bb625a1e535c483951e274d7">setSelectedBackgroundColor</a>(const Color &amp;selectedBackgroundColor)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a4fe0ebec8cd80bb471dc86c86fdbae86">setSelectedItemBackgroundTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#aae5f47871985e87f0f6aa412d14194f7">setSelectedTextColor</a>(const Color &amp;selectedTextColor)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#ab55a29e432c36fc3cb234557fb7bb42c">setTextColor</a>(const Color &amp;textColor)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a1dc1748a67973b3be959fa0e86179dba">setTextFont</a>(std::shared_ptr&lt; sf::Font &gt; font)</td><td class="entry"><a class="el" href="classtgui_1_1MenuBarRenderer.html">tgui::MenuBarRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a>()</td><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:44 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
